Skip to content

Update Notification Config

Update an existing notification configuration. Requires ADMIN permissions.

Parameters

name * are required parametersdata typedescription
notificationSchemaId*stringThe unique identifier of the notification config to update
body.namestringUpdated display name
body.triggerstringUpdated trigger event
body.recipientsobjectUpdated recipient configuration
body.templateobjectUpdated notification message template

Return Value

The updated notification configuration.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/notification/:notificationSchemaId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Updated Alert Name"}'

ENDPOINTS

put/api/{targetPath}/notification/:notificationSchemaId